package com.kingdee.eas.custom.handover;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractWorkHandoverInfo extends com.kingdee.eas.hr.base.HRBillBaseInfo implements Serializable 
{
    public AbstractWorkHandoverInfo()
    {
        this("id");
    }
    protected AbstractWorkHandoverInfo(String pkField)
    {
        super(pkField);
        put("entrys", new com.kingdee.eas.custom.handover.WorkHandoverEntryCollection());
    }
    /**
     * Object: 工作交接单 's 分录 property 
     */
    public com.kingdee.eas.custom.handover.WorkHandoverEntryCollection getEntrys()
    {
        return (com.kingdee.eas.custom.handover.WorkHandoverEntryCollection)get("entrys");
    }
    /**
     * Object:工作交接单's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("47B1EE94");
    }
}